<?php
/**
 * @ H2N Link Directory 1.0.0 linkdirectory.search.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 linkdirectory.search.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function Search($searchtext, $catid, $option) {
	global $database, $mainframe, $mosConfig_absolute_path, $ld, $my, $temp, $Itemid;
	$searchtext = $database->getEscaped( trim( strtolower( $searchtext ) ) );
	$catid		= intval( $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 ) );
	$limitstart = intval(mosGetParam($_GET, 'limitstart', 0));

	if (!$searchtext) {
		echo _LD_SEARCHKEY;
		return $searchtext;
	}
	$where = array();
	$where[] = "published = 1";

	if ( $catid > 0 ) {
		$where[] = "catid = $catid";

		// search sub categories
		$database->setQuery("SELECT id FROM #__ldcats WHERE parent_id = $catid AND access <= $my->gid");
		$subcats = $database->loadObjectList();

		if (count($subcats)) {

			foreach ($subcats as $subcat) {
				$where[] = "catid = $subcat->id";
			} //end foreach

		} //end if

	} //end if


	if ( $searchtext ) {
		$where[] = "LOWER(title) LIKE '%$searchtext%'";
	}

	//Get total results
	$query = "SELECT COUNT(*) FROM #__ldlinks"
	. ( count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "" )
	;

	$database->setQuery($query);
	$total = $database->loadResult();

	//Page navigation
	require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $ld->limitlink );

	//get results from db
	$query = "SELECT * FROM #__ldlinks"
	. ( count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "" )
	. "\n ORDER BY $ld->linkorder"
	. "\n LIMIT $limitstart, $ld->limitlink"
	;

	$database->setQuery($query);
	$links = $database->loadObjectList();

	$count = count( $links );
	// number of Active Items
	for ( $i = 0; $i < $count; $i++ ) {
		$query = "SELECT name"
		. "\n FROM #__ldcats"
		. "\n WHERE id = ". $links[$i]->catid
		. "\n AND published = 1"
		;
		$database->setQuery( $query );
		$catname = $database->loadResult();
		$links[$i]->catname = $catname;
	}

	$tabclass = array( 'link1', 'link2' );

	$mainframe->setPageTitle( _LD_HOME.'- '._LD_SEARCH_RESULT.' for '. $searchtext);

	$temp->id = NULL;
	$temp->catid = $catid;
	$temp->links = $links;
	$temp->option = $option;
	$temp->pageNav = $pageNav;
	$temp->ratelink = $ld->ratelink;
	$temp->commentlink = $ld->commentlink;
	$temp->showfastlink = $ld->showfastlink;
	$temp->showhits = $ld->showhits;
	$temp->Itemid = $Itemid;
	$temp->tabclass = $tabclass;

	$temp->display('header.tpl.php');
	$temp->display('linklists.tpl.php');
	$temp->display('footer.tpl.php');
	//Search_HTML::SearchResult($rows, $option, $tabclass, $pageNav);
}


function AdvancedSearch($catid, $option) {
	global $Itemid, $ld;



	Search_HTML::AdvSearch();
}


function SearchResult() {




}
?>